#!/usr/bin/perl -w

use Fcntl ":flock" ;

# .htpasswd aktualisieren
 my @shad = &lesedatei ("/etc/shadow") ;
 my @htpw = () ;
 for (@shad) {
   s/ |\n|\r//g ;
   next if ($_ eq "") ;
   my ($name,@rest) = split (/:/,$_) ;
   next if ($name eq "root") ;
   next if ($name eq "nobody") ;
   my ($aname,$apw,$auid) = getpwnam ($name) ;
   next if ($auid < 500) ;
   push (@htpw,$_) ;
 }
 &schreibedatei ("/usr/local/httpd/uscripts/.htpasswd",@htpw) ;
 system ("chown wwwrun /usr/local/httpd/uscripts/.htpasswd") ;
 system ("chgrp root /usr/local/httpd/uscripts/.htpasswd") ;
 system ("chmod 0660 /usr/local/httpd/uscripts/.htpasswd") ;


################################

sub lesedatei {
   open (TEMP,"<$_[0]") ;
   flock (TEMP,LOCK_SH) ; # verteilt sperren
   my @inhalt = <TEMP> ;
   close (TEMP) ;
   return @inhalt
 }

sub schreibedatei {
   my ($datname,@inhalt) = @_ ;
   my $inhalt = join ("\n",@inhalt) ;
   $inhalt=~ s/\n\n/\n/g ;

open (TEMP,">$datname") ;
   flock (TEMP,LOCK_EX) ; #exklusiv sperren
   print TEMP $inhalt ;
   close (TEMP)
 }
