#!/bin/sh
#
orgfile=/etc/rc.config  	# Originaldatei
tmpfile=/var/tmp/tmpfile$$    	# Temporaere Datei
tmpordner=/tmp          	# Ordner mit den Parameterinhalten
# First of all: make a backup!
cp -f $orgfile $orgfile.backup

############################################################
# Start_GEE_Firewall
############################################################
if [ -s $tmpordner/START_GEE_FIREWALL ]; then
    newparm=`cat $tmpordner/START_GEE_FIREWALL`
else
    newparm="nein"
fi
old=`grep START_GEE_FIREWALL $orgfile`
new="START_GEE_FIREWALL=\"$newparm\""
sed -e s/"$old"/"$new"/g $orgfile > $tmpfile
mv $tmpfile $orgfile
rm $tmpordner/START_GEE_FIREWALL 2>/dev/null
############################################################
# GEE_FW_MASQ_PC
############################################################
if [ -s $tmpordner/GEE_FW_MASQ_PC ]; then
    newparm=`cat $tmpordner/GEE_FW_MASQ_PC`
else
    newparm=""
fi
old=`grep GEE_FW_MASQ_PC $orgfile`
new="GEE_FW_MASQ_PC=\"$newparm\""
sed -e s/"$old"/"$new"/g $orgfile > $tmpfile
mv $tmpfile $orgfile
rm $tmpordner/GEE_FW_MASQ_PC 2>/dev/null
############################################################
# GEE_FW_WPM
############################################################
if [ -s $tmpordner/GEE_FW_WPM ]; then
    newparm=`cat $tmpordner/GEE_FW_WPM`
else
    newparm="nein"
fi
old=`grep GEE_FW_WPM $orgfile`
new="GEE_FW_WPM=\"$newparm\""
sed -e s/"$old"/"$new"/g $orgfile > $tmpfile
mv $tmpfile $orgfile
rm $tmpordner/GEE_FW_WPM 2>/dev/null
############################################################
# GEE_FW_Ping
############################################################
if [ -s $tmpordner/GEE_FW_PING ]; then
    newparm=`cat $tmpordner/GEE_FW_PING`
else
    newparm="nein"
fi
old=`grep GEE_FW_PING $orgfile`
new="GEE_FW_PING=\"$newparm\""
sed -e s/"$old"/"$new"/g $orgfile > $tmpfile
mv $tmpfile $orgfile
rm $tmpordner/GEE_FW_PING 2>/dev/null
############################################################
# GEE_FW_Stufe
############################################################
if [ -s $tmpordner/GEE_FW_STUFE ]; then
    newparm=`cat $tmpordner/GEE_FW_STUFE`
else
    newparm=1
fi
old=`grep GEE_FW_STUFE $orgfile`
new="GEE_FW_STUFE=\"$newparm\""
sed -e s/"$old"/"$new"/g $orgfile > $tmpfile
mv $tmpfile $orgfile
rm $tmpordner/GEE_FW_STUFE 2>/dev/null
############################################################
# GEE_FW_Devices
############################################################
if [ -s $tmpordner/GEE_FW_DEVICES ]; then
    newparm=`cat $tmpordner/GEE_FW_DEVICES`
    if [ "$newparm" = "   " ]; then
     newparm="ippp+ ppp+ eth1"
    fi
    if [ "$newparm" = "" ]; then
     newparm="ippp+ ppp+ eth1"
    fi
else
    newparm="ippp+ ppp+ eth1"
fi
old=`grep GEE_FW_DEVICES $orgfile`
new="GEE_FW_DEVICES=\"$newparm\""
sed -e s/"$old"/"$new"/g $orgfile > $tmpfile
mv $tmpfile $orgfile
rm $tmpordner/GEE_FW_DEVICES 2> /dev/null
############################################################
# Rueckmeldung an Benutzer
############################################################
/sbin/init.d/./gee-firewall start
exit 0

