#!/usr/bin/perl -w

# mailcheckcf.pl (c) Stephan Schn Juli 2002
# Aufruf als root/admin mit  
# /home/admin/gee/scripts/mailcheckcf.pl 

my $mailconf = "/etc/mailcheck/mailcheck.conf" ;
my $oeffentlich = "/home/tausch /home/quellen /home/lehrer /home/schueler" ;

if (open (TEMP,"<$mailconf")) {
  close (TEMP) ;
  print "\n\nDie Vircheck-Konfigurationsdatei $mailconf ist bereits vorhanden!\n" ;
  print "Es ist nicht moeglich, sie zu ueberschreiben. Falls Sie sie neu anlegen wollen,\n" ; 
  print "muessen Sie sie zuerst loeschen.\n" ; 
  print "!!! Sie sollten wissen, was Sie damit tun !!!\n\n";
  &zeigeconf ;
  exit 1 
}

&konfiguration ;

sub liesdatei {
  my $dname = $_[0] ;
  open (TEMP,"<$dname") ;
  my @zeilen = <TEMP> ;
  close (TEMP) ;
  return @zeilen ;
}

sub konfiguration {
  my ($servername,$postmaster,$inspooldir,$outspooldir) ;
  my @kfgzl =   &liesdatei("/etc/sendmail.cf") ;
  for (@kfgzl) {
    s/\n|\r| //g ;
    next if (!/\bDSuucp-dom|DM/) ;
    if (/\bDS/) {
    # uucp-SmartHost
    my @parts = split (/\:/,$_) ;
    $outspooldir = "/var/spool/uucp/$parts[1]/D." ;
    } else {
      # Maildomaene
      s/^DM//g ;
      my $maildomain = $_ ;
      if ($_ eq "") {$maildomain = "local.si"} 
      $servername = "susi.$maildomain" ;
      $postmaster = "postmaster\@$maildomain" ;
    }
  }
  $inspooldir = "/var/spool/mail" ;
  open (TEMP,">$mailconf") ;  
  my $cftxt = "# $mailconf = Konfiguration einiger Daten fuer das vircheck-Skriptpaket\n" ;
  $cftxt.= "\n# Die Werte fuer Servername und Postmaster sollten durch realistische Eintraege ersetzt werden\n" ;
  $cftxt.= "\n# Name des Mailservers, auf dem die Virus-Pruefungen durchgefuehrt werden\nservername=$servername\n" ;
  $cftxt.= "\n# eMail-Adresse der Person, die als Ansprechperson bei Virenbefall genannt werden soll\npostmaster=$postmaster\n" ;
  $cftxt.= "\n# Oeffentliche Verzeichnisse, in die von Benutzern ggf. virenverseuchte Dateien\n" ;
  $cftxt.= "# abgelegt werden koennen und die daher virengeprueft werden muessen\noeffentlich=$oeffentlich\n" ;
  $cftxt.= "\n# Spool-Verzeichnisse fuer ein- und ausgehende Post. Die Angaben fuer inspooldir\n" ;
  $cftxt.= "# und outspooldir sollten Sie nur aendern, wenn Sie sehr genau wissen, was Sie tun!\n" ;
  $cftxt.= "# Wir haben Sie gewarnt!\n" ;
  $cftxt.= "inspooldir=$inspooldir\noutspooldir=$outspooldir\n" ;
  print TEMP $cftxt;
  close (TEMP) ;
  &zeigeconf ;
}

sub zeigeconf {
  my $inhalt = join("",&liesdatei ($mailconf)) ;
  print "\n\n============= Inhalt von $mailconf ==================\n\n$inhalt\n\n" ;
}
